% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ForecastYields.R
\name{ForecastYieldsJointQ}
\alias{ForecastYieldsJointQ}
\title{Bond yields forecasts ("joint Q" models)}
\usage{
ForecastYieldsJointQ(
  ModelType,
  ModelPara,
  InputsForOutputs,
  FactorLabels,
  Economies,
  DataFrequency,
  JLLinputs,
  GVARinputs
)
}
\arguments{
\item{ModelType}{a string-vector containing the label of the model to be estimated}

\item{ModelPara}{List of model parameter estimates (See the "Optimization" function)}

\item{InputsForOutputs}{list conataining the desired horizon of analysis for the IRFs, GIRFs, FEVDs, and GFEVDs}

\item{FactorLabels}{a string-list based which contains all the labels of all the variables present in the model}

\item{Economies}{string-vector containing the names of the economies which are part of the economic system}

\item{DataFrequency}{character-based vector: "Daily All Days", "Daily Business Days", "Weekly", "Monthly", "Quarterly", "Annually"}

\item{JLLinputs}{list of necessary inputs for the estimation of JLL-based models (see "JLL" function)}

\item{GVARinputs}{list of necessary inputs for the estimation of GVAR-based models (see "GVAR" function)}
}
\description{
Bond yields forecasts ("joint Q" models)
}
